Last Comment Bug 252983 - l10n CVS request: Norwegian bokmål (nb-no) - Håvard Mork <havarmor@stud.ntnu.no>
: l10n CVS request: Norwegian bokmål (nb-no) - Håvard Mork <havarmor@stud.ntnu.no>
Status: RESOLVED FIXED
voucher, sshkey
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Marcia Knous [:marcia - use ni]
: Daniel (Leaf) Nunes
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-25 04:13 PDT by Håvard Mork
Modified: 2004-09-07 15:15 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Public key for Håvard Mork (609 bytes, text/plain)
2004-08-27 13:11 PDT, Håvard Mork
no flags Details

Description Håvard Mork 2004-07-25 04:13:20 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; nb-NO; rv:1.7) Gecko/20040707 Seahorse/0.9.2
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; nb-NO; rv:1.7) Gecko/20040707 Seahorse/0.9.2

CVS access for nb-NO (norwegian bokmål) localizer of Mozilla Firefox.
See homepage at http://www.stud.ntnu.no/~havarmor/progr/moztrans/


Reproducible: Always
Steps to Reproduce:
Comment 1 Håvard Mork 2004-07-25 04:50:37 PDT
Marcia, is it okay with a photographed version of the cvs form?
http://hmork.mine.nu/hmork/cvs.jpg

I hope it's allright :-)

Also, if it was not clear, it is myself requesting CVS access, for my e-mail
address havarmor@stud.ntnu.no.
Comment 2 Benjamin Smedberg [:bsmedberg] 2004-07-25 08:44:35 PDT
I vouch for Håvard as the l10n owner for nb-NO
Comment 3 Vidar Haarr (not reading bugmail) 2004-07-25 23:42:55 PDT
For what it matters, I can second that.
Comment 4 Håvard Mork 2004-07-31 13:03:07 PDT
I do not need 3 srs to get approval, as described in this document:
http://www.mozilla.org/projects/firefox/l10n/

The form is sent by mail, three days ago. It will probably arrive early next week.

What's missing for my localizer CVS access, now then? :-)
Comment 5 Benjamin Smedberg [:bsmedberg] 2004-07-31 13:22:49 PDT
Håvard, please be a little patient. Marcia marked the bug ASSIGNED, which means
she's working on it. In the meantime, could you please post a ZIP of your
toolkit and browser locale pack files so I can look them over?
Comment 6 Håvard Mork 2004-07-31 14:08:23 PDT
Benjamin, sorry about my impatience :-)
By toolkit, do you mean the whole work environment?
Locale pack -- only the contents of NO.jar?
well, I copied everything, just in case.

ZIP: http://hmork.mine.nu/mozilla/_mtfb.zip
By web: http://hmork.mine.nu/mozilla/_mtfb/

Extracted language pack (nb-*.jar, no.jar): http://hmork.mine.nu/mozilla/_mtfb/t/
Comment 7 Benjamin Smedberg [:bsmedberg] 2004-07-31 18:28:17 PDT
Håvard, the links you posted are the old-style language packs, and do not follow
the new directory structure specified in my instructions. Before you get a CVS
account, you need to provide two ZIP files, toolkit-nb-NO.zip and
browser-nb-NO.zip, which mirror the structure of the en-US files in

http://lxr.mozilla.org/aviarybranch/source/toolkit/locales/
and
http://lxr.mozilla.org/aviarybranch/source/browser/locales/

When you compare you files with en-US (using the locale-compare.pl script) there
should be no serious differences.
Comment 8 Håvard Mork 2004-08-01 04:02:11 PDT
Benjamin, fixed locale packs here:
http://hmork.mine.nu/mozilla/repack/browser-nb-NO.zip
http://hmork.mine.nu/mozilla/repack/toolkit-nb-NO.zip

(unpack to "nb-NO" subdirectory -- same directory structure as output as the
repack-script)

compare-locale reports no differences.
Could you commit the locale packs to CVS, if there are no obvious errors?
Comment 9 Benjamin Smedberg [:bsmedberg] 2004-08-02 08:41:42 PDT
Håvard, excellent work. I have committed your files, and I can vouch for your
continued CVS access to update them. You also should consider localizing the
bookmarks.html file, and may wish to consider adding a Norwegian search plugin,
if there is a search engine available.
Comment 10 Håvard Mork 2004-08-27 13:11:42 PDT
Created attachment 157184 [details]
Public key for Håvard Mork

Public key for CVS access for Håvard Mork. A copy is also sent to Benjamin by
mail
Comment 11 Myk Melez [:myk] [@mykmelez] 2004-09-07 15:15:55 PDT
Ok, your account has been created.  Your username is "havarmor%stud.ntnu.no"
(note the % in place of the @ in your email address).  Check out the repository via:

cvs -d:ext:havarmor%stud.ntnu.no@cvs.mozilla.org:/l10n co mozilla

Reopen this bug if you have any problems accessing the repository.

Note You need to log in before you can comment on or make changes to this bug.